Bug 219979 - (perl-Text-ASCIITable) Review Request: perl-Text-ASCIITable - Create a nice formatted table using ASCII characters
Review Request: perl-Text-ASCIITable - Create a nice formatted table using AS...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Text-ASCI...
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 21:24 EST by Chris Weyl
Modified: 2014-03-03 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 00:35:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-12-17 21:24:18 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Text-ASCIITable-0.18-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Text-ASCIITable.spec

Description:
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.
Comment 1 Parag AN(पराग) 2006-12-18 00:23:11 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
25fea1cef17be49a6da1d9b5267fba97  Text-ASCIITable-0.18.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
+ ./Build test
t/01_default........ok
t/02_custom.........ok
t/03_options........ok
t/04_multiline......ok
t/05_wordwrap.......ok
t/06_htmlstrip......ok
t/07_aligning.......ok
t/08_heading........ok
t/09_ansistrip......ok
t/10_pages..........ok
t/11_overloading....ok
t/12_chaining.......ok
All tests successful.
Files=12, Tests=105,  1 wallclock secs ( 0.24 cusr +  0.07 csys =  0.31 CPU)

+ Provides: perl(Text::ASCIITable) = 0.18 perl(Text::ASCIITable::Wrap) = 0.2
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 2 Chris Weyl 2006-12-18 00:33:18 EST
Imported and building for devel; branches requested.

Thanks for the review! :)
Comment 3 Chris Weyl 2006-12-18 00:33:38 EST
Imported and building for devel; branches requested.

Thanks for the review! :)
Comment 4 Chris Weyl 2006-12-18 00:35:22 EST
Slipped with the mouse there; should be to where things should be now :)
Comment 5 Lubomir Rintel 2009-05-07 03:11:55 EDT
Chris: I'll be very thankful if this was in EPEL-5 as well. Could you please
request an EL-5 branch (I'd gladly do that if you have a reason for not
maintaining it there).

Thanks!
Comment 6 Lubomir Rintel 2014-03-03 09:54:43 EST
Package Change Request
======================
Package Name: perl-Text-ASCIITable
New Branches: epel7
Owners: lkundrak
InitialCC: perl-sig

The Fedora maintainer is unfortunately not maintaining EPEL packages:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 7 Gwyn Ciesla 2014-03-03 10:22:04 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.